# Role: etc_hosts

## Description

Installs /etc/hosts file including the hosts provided in vars.

https://www.man7.org/linux/man-pages/man5/hosts.5.html

## Usage

Using in a playbook:

```yaml
- name: Play
  gather_facts: true
  gather_subset:
    - distribution
  hosts:
    - all
  roles:
    - samuliy.ansible.etc_hosts
  vars:
    ...
```

### Vars

`etc_hosts`:

List of hosts to install into the hosts file.

`etc_hosts_path`:

Path of the hosts file.
